drbd-utils (9.21.4-1) unstable; urgency=medium

  * New upstream version 9.21.4
    + Refresh patches
    + Build-Depend on asciidoctor for documentation builds
  * d/copyright: bump debian/ years
  * Bump Standards-Version to 4.6.1; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 19 Jul 2022 12:27:44 +0200

drbd-utils (9.15.0-1) unstable; urgency=medium

  * New upstream version 9.15.0

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 29 Sep 2020 12:05:36 +0300

drbd-utils (9.14.1-1) unstable; urgency=medium

  * New upstream version 9.14.1
  * Mark autopkgtest as superficial
  * Drop 0009-v84-Make-setup_options-definitions-as-extern.patch; included
    upstream

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 22 Sep 2020 22:09:19 +0300

drbd-utils (9.13.1-1) unstable; urgency=medium

  * New upstream version 9.13.1
  * d/watch: use LINBIT's landing page
  * Refresh 0001-dpkg-statoverride-instead-of-chgrp-chmod.patch
  * Fix FTBFS with GCC 10 by cherry-picking upstream commit a513dea1 (Closes:
    #957151)
  * Bump dh compat to 13
    + Drop redundant dh_missing override
  * Bump Standards-Version to 4.5.0; no changes needed
  * Replace Recommends for heirloom-mailx by bsd-mailx
  * Add a basic autopkgtest running `drbdadm dump`

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 24 Aug 2020 16:53:01 +0300

drbd-utils (9.11.0-1) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * Fix debian/watch to correctly identify upstream releases.
  * Build-Depend on po4a
  * Refresh patches
  * Remove drbd-overview; dropped upstream
  * Enable parallel builds
  * Ship the systemd service unit

  [ Apollon Oikonomopoulos ]
  * New upstream version 9.11.0 (Closes: #939788)
  * d/rules: upstream's `make all' now builds docs
  * d/rules: make sure we don't ship /run/drbd
  * Use dh_auto_configure instead of calling ./configure directly.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #921152)
  * Bump debhelper compat to 12.
    + Remove d/compat and B-D on debhelper-compat (= 12)
    + Use dh_missing instead of dh_install --fail-missing
  * Bump Standards-Version to 4.4.1; no changes needed
  * Convert d/patches to gbp-pq
  * Pass LDFLAGS to drbdmon's build

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 18 Nov 2019 13:24:57 +0200

drbd-utils (9.5.0-1) unstable; urgency=medium

  * New upstream version 9.5.0
  * Bump Standards-Version to 4.1.5; no changes needed
  * d/rules: drop obsolete --with-utils from configure. Thanks to Roland
    Kammerer!

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 16 Jul 2018 20:52:47 +0300

drbd-utils (9.4.0-1) unstable; urgency=medium

  * New upstream version 9.4.0 (Closes: #900065)
  * Switch Vcs-* URLs to salsa.d.o
  * d/watch: update URL
  * Drop reproducible-builds patch
  * Refresh patches
  * d/copyright: bump years
  * Bump compat to 11
    + Use dh_installsystemd
    + Change dh_installinit's --no-restart-on-upgrade to --no-stop-on-upgrade
    + Drop dh-autoreconf
  * Bump Standards-Version to 4.1.4; no changes needed
  * Update Homepage and Source URLs
  * d/control: change Priority: extra to optional
  * Drop the drbd8-utils transitional package; drbd-utils was first shipped in
    Jessie, so it's time for drbd8-utils to go (Closes: #878392)
  * Properly ship the Japanese manpage for drbd-overview
  * Respect dpkg-provided CXXFLAGS during drbdmon build
  * Use dh_install{init,systemd} --no-enable

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 06 Jun 2018 15:04:11 +0300

drbd-utils (8.9.10-2) unstable; urgency=medium

  * Fix the service enable/disable logic (broken since 8.9.8-1, closes:
    #862248):
    + Add Default-Start runlevels to the initscript so that it can be
      enabled/disabled again (broken since 8.9.8-1, see #862248).
    + Clean up stale systemd state on upgrade from versions that shipped a
      native systemd unit.
  * Disable the service by default on new installations, following upstream's
    policy.
    + Document disabling the service in debian/NEWS.
    + Override lintian error about duplicate update-rc.d calls.
  * Do not restart the drbd service on upgrade; kernel reconfiguration is not
    needed when the tools change.
  * d/NEWS: use the new source name and drop the epoch, to avoid displaying
    existing notices on every upgrade.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 12 May 2017 15:05:39 +0300

drbd-utils (8.9.10-1) unstable; urgency=medium

  * New upstream release
    + New drbdmon utility: provides a compact view about resources and
      supports live monitoring.
  * Refresh patches
  * B-D on dh-autoreconf and use it to regenerate configure for proper C++11
    detection.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 23 Dec 2016 17:41:42 +0200

drbd-utils (8.9.9-1) unstable; urgency=medium

  * New upstream release.
  * Depend on lsb-base for /lib/lsb/init-functions.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 01 Nov 2016 01:28:28 +0200

drbd-utils (8.9.8-1) unstable; urgency=medium

  * New upstream release.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 09 Sep 2016 10:40:20 +0300

drbd-utils (8.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches
  * Drop add-lsb-description.patch; fixed upstream
  * d/watch: use drbd.org instead of oss.linbit.com
  * Bump Standards to 3.9.8; no changes needed
  * Enable all hardening buildflags

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 18 Jul 2016 22:49:38 +0300

drbd-utils (8.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Always render build date in UTC; ensures reproducible build.
  * Drop the drbd-utils-dbg package in favor of ddebs.
  * d/control: use HTTPS in vcs-* fields.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 26 Jan 2016 12:32:36 +0200

drbd-utils (8.9.5-1) unstable; urgency=medium

  * New upstream release (closes: #808315)
    + Drop d/patches/fix-8.4-manpages, it has been merged upstream.
    + Refresh patches
  * Ensure reproducible build.
  * Remove DRBD service file and use initscript (closes: #787394, #633547).
    Upstream is doing the same and the start logic is complicated enough to be
    a bad fit for a systemd unit.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 29 Dec 2015 12:26:49 +0200

drbd-utils (8.9.2~rc1-2) unstable; urgency=medium

  * Build-Depend on docbook-xml to avoid fetching the docbook DTDs from the
    internet (closes: #768881).
  * Build-Depend on udev to avoid shipping a disabled rules file in case the
    build system does not find udevadm or udevinfo.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 23 Nov 2014 17:30:02 +0200

drbd-utils (8.9.2~rc1-1) unstable; urgency=medium

  * New upstream release candidate.
  * d/rules: call ./configure with initscripttype=sysv. Fixes FTBS when
    /sbin/init is systemd (Closes: #765116).
  * Refresh patches to reflect upstream directory moves.
  * Bump standards to 3.9.6; no changes needed.
  * d/copyright: update sys_queue.h location.
  * Build-depend on docbook-xsl and (re-)build the manpages, as 8.4 manpages
    are not shipped pre-built.
  * Backport upstream commits 7185623a and 1e4a6a68, fixing 8.4 manpage builds.
  * Link drbddisk-8.4.8 manpage to drbddisk.8.
  * Upstream is shipping the heartbeat resource scripts again; dropped our own
    copies.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 13 Oct 2014 23:38:15 +0300

drbd-utils (8.9.1+git0.f861210b-1) unstable; urgency=medium

  * New upstream version.
    + Include all changes up to upstream's 4th maintenance release of 8.9.1
      (8.9.1-4, git commit f861210b).
    + Drop patches merged upstream:
      o fix-block-drbd-with-xl-stack.patch
      o fix-drbd.8-manpage-warning.patch
      o fix-promotion-on-startup.patch
      o 0001-add_lib_drbd_to_path-handle-unset-PATH-correctly.patch
    + Use upstream's udev rules file.
    + Use upstream's drbd-overview manpage.
    + Refresh d/patches/udev-rules-name to reflect upstream changes.
  * d/control: remove B-D on git, as it not used anymore.
  * d/copyright: mark debian/* license as "permissive"; fixes lintian warning.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 29 Aug 2014 22:50:45 -0700

drbd-utils (8.9.0-1) unstable; urgency=medium

  * New upstream release (closes: #751475, #749441)
    + Unified codebase for DRBD 8.3, 8.4 and 9.0 userspace utilities.
    + Fixes a data-loss issue when offline resizing with drbdmeta.
  * Rename source and package to drbd-utils
    + Keep drbd8-utils as a transitional dummy package, depending on
      drbd-utils.
    + Drop the epoch from the source and drbd-utils version, retain it in
      drbd8-utils for upgrades to work.
  * Import the drbddisk and drbdupper heartbeat v1 resource scripts from the
    previous package version; upstream has dropped them for DRBD 9, but they
    are still useful with our kernel module version.
  * Provide our own udev rules, compatible with both 8.4 and 9.0. Upstream's
    depends on 9.0 and breaks symlink creation on 8.3/8.4.
  * debian/watch: use new upstream name (drbd-utils).
  * systemd: load module on boot.
  * Drop obsolete patches, not needed in 8.9.0:
    + disable-buildtags
    + 0001-drbdsetup-use-lib-drbd-drbdsetup-83.patch
    + 0002-drbdsetup-delay-exiting-due-to-unknown-commands.patch
  * New patches:
    + Add LSB description to the initscript (fixes lintian warning).
    + Allow wrapping the synopsis line of drbd(8).
    + Drop /usr/bin from the initscript's PATH (fixes bogus lintian warning
      on missing dependency against $remote_fs).
    + Fix the block-drbd script to work with Xen's xl stack (closes: #743977).
    + Search for drbdadm under /sbin in the udev rules.
    + Fix promotion to primary during startup, broken upstream after 8.4.4.
    + Properly handle legacy binary chainloading with empty PATH.
  * Update debian/copyright.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 30 Jun 2014 15:51:53 +0300

drbd8 (2:8.4.4-1) unstable; urgency=low

  * New upstream version (Closes: #714210, #721443, #711781)
  * Do not participate in the usage count by default (Closes: #711352)
  * Basic systemd support
  * Bump compat to 9 and standards to 3.9.5
  * Convert to dh sequencer
    + use dh_installinit for the initscript and use the default ordering
     (Closes: #476544)
  * Two new patches, fixing automatic chainloading of legacy drbdsetup when
    kernel DRBD is 8.3:
    + 0001-drbdsetup-use-lib-drbd-drbdsetup-83.patch
    + 0002-drbdsetup-delay-exiting-due-to-unknown-commands.patch
  * Convert copyright to Format 1.0
  * Remove unnecessary (build-)dependencies:
    bison, bzip2, debconf
  * Fix Vcs-Git URL

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Thu, 07 Nov 2013 14:02:13 +0200

drbd8 (2:8.3.13-2) unstable; urgency=low

  * Integrated NMU
  * Comment-out default handlers for pri-on-incon-degr/pri-lost-after-sb in '/etc/drbd.d/global_common.conf'
  ** Re-enable them if you want to improve your availability in a DRBD cluster setup. (Closes: #576511)
  * Added recommends to mailx (Closes: #691225)

 -- Philipp Hug <debian@hug.cx>  Mon, 29 Oct 2012 13:45:51 +0100

drbd8 (2:8.3.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix name of udev rules file. (closes: #679266)
  * Disable module version warning for sublevel missmatch.
    (closes: #659353)
  * Disable regeneration of buildtags file. (closes: #679460)

 -- Bastian Blank <waldi@debian.org>  Thu, 28 Jun 2012 21:07:04 +0000

drbd8 (2:8.3.13-1) unstable; urgency=low

  * Update to latest version for Linux 3.2.0
  * Enabled hardened build flags. Thanks Moritz. (Closes: #667558)

 -- Philipp Hug <debian@hug.cx>  Fri, 15 Jun 2012 20:14:36 +0200

drbd8 (2:8.3.11-3) unstable; urgency=low

  * Install udev rule into /lib/udev/rules.d instead of /etc
  * Don't invoke make with '-' except for drbd/Makefile
  * Don't complain in prerm about unknown argument upgrade
  * Architecture changed to linux-any
  * build-arch: depend on configure (Closes: #666345)

 -- Philipp Hug <debian@hug.cx>  Fri, 30 Mar 2012 18:52:55 +0200

drbd8 (2:8.3.11-2) unstable; urgency=low

  * Don't create /dev/drbdX in postinst (Closes: #656143)
  * Install drbd.conf.example (Closes: #613872)
  * Define init script as interactive (Closes: #613654)
  * Suggest to use dpkg-statoverride (Closes: #519187)

 -- Philipp Hug <debian@hug.cx>  Tue, 20 Mar 2012 14:52:42 +0100

drbd8 (2:8.3.11-1) unstable; urgency=low

  * New upstream release.
  * Clean some more files
  * Switch to dpkg-source 3.0 (quilt) format
  * Delete config.log, config.status
  * Build-Depend on xsltproc (for documentation) and git (for build-tags)

 -- Philipp Hug <debian@hug.cx>  Tue, 20 Mar 2012 12:12:57 +0100

drbd8 (2:8.3.10-1) unstable; urgency=low

  * New upstream release. (Closes: #635329)
  * Moved to git.debian.org for package maintenance.
  * Removed dpatch

 -- Philipp Hug <debian@hug.cx>  Thu, 28 Jul 2011 16:42:04 +0200

drbd8 (2:8.3.9-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 13 Jan 2011 15:36:21 +0100

drbd8 (2:8.3.8.1-1) unstable; urgency=low

  * New upstream release. (closes: #590814)
  * Remove no longer required files.
  * Drop docbook-utils from build-dependencies.
  * Drop architecture independant parts.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sun, 29 Aug 2010 15:57:31 +0200

drbd8 (2:8.3.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use the init script of the 8.3.8.1 release fixing broken LSB headers.
    (closes: #576901)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 15 Jul 2010 14:03:40 +0200

drbd8 (2:8.3.7-2) unstable; urgency=low

  * Drop -source package, now that DRBD is part of the Linux mainline kernel.
    (closes: #573514, #580184)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 10 Jun 2010 20:29:40 +0200

drbd8 (2:8.3.7-1) unstable; urgency=low

  * New upstream release.
    + Correct dependencies in init.d script. (closes: 547566, #563783)
  * Acknowledge NMU of 2:8.3.4-1.1, thanks Iustin for taking care of this!
    (closes: #499516)
  * Ship scripts/adjust_drbd_config_h.sh and run it before building the kernel
    module. (closes: #551479, #552439)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 18 Jan 2010 16:29:43 +0100

drbd8 (2:8.3.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix watch file
  * No longer stops the drbd resources on upgrades of the drbd8-utils
    package, since this is not needed and shutdowns must be done by the
    administrator. (closes: #499516)

 -- Iustin Pop <iusty@k1024.org>  Fri, 13 Nov 2009 19:58:29 +0100

drbd8 (2:8.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Fri, 16 Oct 2009 09:18:11 +0200

drbd8 (2:8.3.3~rc3-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 29 Sep 2009 21:43:01 +0200

drbd8 (2:8.3.3~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Wed, 16 Sep 2009 19:17:52 +0200

drbd8 (2:8.3.3~rc1-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 31 Aug 2009 11:44:25 +0200

drbd8 (2:8.3.2-3) unstable; urgency=low

  * Drop DKMS support for now, to get the package back into testing. 
    (closes: #537986, #539218, #539219)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sun, 16 Aug 2009 12:23:59 +0200

drbd8 (2:8.3.2-2) unstable; urgency=low

  * Switch to DKMS, patch from Ante Karamatić (Ubuntu).

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 21 Jul 2009 20:17:47 +0200

drbd8 (2:8.3.2-1) unstable; urgency=low

  * New upstream release.
  * Section of drbd8-source is kernel.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 06 Jul 2009 21:17:28 +0200

drbd8 (2:8.3.2~rc2-1) unstable; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sat, 27 Jun 2009 16:28:20 +0200

drbd8 (2:8.3.2~rc1-1) unstable; urgency=low

  * New upstream release candidate.
    + Make it compile on Linux 2.6.30. (closes: #533261, #533654)
  * Update Standards-Version to 3.8.2, no changes required.
  * Fix maintainer-script-ignores-errors lintian warning.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 22 Jun 2009 20:52:22 +0200

drbd8 (2:8.3.1-2) unstable; urgency=medium

  * Added a new patch from Michael Prokop to fix build with kernel 2.6.28 and
    older. (closes: #522891)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Fri, 03 Apr 2009 19:54:44 +0200

drbd8 (2:8.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Fri, 27 Mar 2009 14:16:36 +0100

drbd8 (2:8.3.1~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 26 Mar 2009 10:52:06 +0100

drbd8 (2:8.3.1~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Drop patch 10_lsb-init-script.dpatch, merged upstream.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 17 Mar 2009 16:38:52 +0100

drbd8 (2:8.3.0-3) unstable; urgency=low

  [ Martin G. Loschwitz ]
  * Sigh. Remove SVN-Files from debian-diff file.

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 11 Mar 2009 17:46:00 +0100

drbd8 (2:8.3.0-2) unstable; urgency=low

  [ Norbert Tretkowski ]
  * Package is now team-maintained.
  * Use dpatch for patch management.
  * New patch 10_lsb-init-script.dpatch to make init-script a bit more LSB
    compliant.

  [ Martin G. Loschwitz ]
  * Add myself to the Uploaders:-Field.

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 11 Mar 2009 16:45:00 +0100

drbd8 (2:8.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Wed, 24 Dec 2008 15:05:27 +0100

drbd8 (2:8.3.0~rc3-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 15 Dec 2008 10:14:37 +0100

drbd8 (2:8.3.0~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sun, 07 Dec 2008 15:09:01 +0100

drbd8 (2:8.3.0~rc1-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 01 Dec 2008 16:19:08 +0100

drbd8 (2:8.2.7-2) experimental; urgency=low

  * Merge 2:8.0.14-2.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 13 Nov 2008 12:47:22 +0100

drbd8 (2:8.2.7-1) experimental; urgency=low

  * New upstream release.
  * Merge 2:8.0.14~rc1-1 and 2:8.0.14-1.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 13 Nov 2008 10:55:02 +0100

drbd8 (2:8.2.7~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Wed, 29 Oct 2008 17:34:12 +0100

drbd8 (2:8.2.6-4) experimental; urgency=low

  * Fix kernel panic during verify.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 23 Oct 2008 08:51:09 +0200

drbd8 (2:8.2.6-3) experimental; urgency=low

  * Merge 2:8.0.13-1 and 2:8.0.13-2.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 09 Oct 2008 16:26:00 +0200

drbd8 (2:8.2.6-2) experimental; urgency=low

  * Fix build on Linux 2.6.26.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Wed, 27 Aug 2008 11:40:53 +0200

drbd8 (2:8.2.6-1) experimental; urgency=low

  * New upstream release.
  * Merge changes from 2:8.0.10-1, 2:8.0.11-1 and 2:8.0.12-1.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 17 Jun 2008 14:28:39 +0200

drbd8 (2:8.2.4-1) experimental; urgency=low

  * New upstream release
  * Upload for experimental

 -- Philipp Hug <debian@hug.cx>  Mon, 21 Jan 2008 21:35:06 +0100

drbd8 (2:8.0.14-2) unstable; urgency=low

  * Drop dpatch build-dependency.
  * Drop homepage from description.
  * Don't ignore make clean errors.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 13 Nov 2008 11:46:25 +0100

drbd8 (2:8.0.14-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Thu, 13 Nov 2008 10:50:27 +0100

drbd8 (2:8.0.14~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * New maintainer. (closes: #500353)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Wed, 29 Oct 2008 17:43:24 +0100

drbd8 (2:8.0.13-2) unstable; urgency=low

  * Run depmod from generated module package using dh_installmodules.
    (closes: #496882)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Wed, 03 Sep 2008 12:07:22 +0200

drbd8 (2:8.0.13-1) unstable; urgency=low

  * New upstream release.
    + Make it compile on Linux 2.6.26. (closes: #493145)

 -- Norbert Tretkowski <norbert@tretkowski.de>  Mon, 04 Aug 2008 17:56:03 +0200

drbd8 (2:8.0.12-1) unstable; urgency=low

  * New upstream release.
    + Make it compile on Linux 2.6.25. (closes: #480418, #481992, #483676)
  * Add myself as co-maintainer.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 17 Jun 2008 14:18:36 +0200

drbd8 (2:8.0.11-1) unstable; urgency=low

  * New upstream release

 -- Philipp Hug <debian@hug.cx>  Wed, 13 Feb 2008 19:12:53 +0100

drbd8 (2:8.0.10-1) unstable; urgency=low

  * New upstream release

 -- Philipp Hug <debian@hug.cx>  Tue, 12 Feb 2008 22:10:04 +0100

drbd8 (2:8.0.8-1) unstable; urgency=low

  * New upstream release
  * Provide drbd8-module-source for compatibility
  * Use EXTRA_CFLAGS (Closes: #461750)

 -- Philipp Hug <debian@hug.cx>  Mon, 21 Jan 2008 21:23:02 +0100

drbd8 (2:8.0.7-1) unstable; urgency=low

  * New upstream release (Closes: #449241)
  * Integrated NMU changes (Closes: #448876)

 -- Philipp Hug <debian@hug.cx>  Sun, 04 Nov 2007 13:46:53 +0100

drbd8 (2:8.0.6-0.1) unstable; urgency=low

  * Non-Maintainer upload with permission of Philipp Hug.
  * New upstream release (Closes: #438167)
  * Switch to debhelper 5.
  * Rename kernel module package from drbd8-module-source to
    drbd8-source.
  * Compress the module source tarball with bzip2.
  * Provide modules/drbd8 to allow parallel installation with
    drbd0.7-module-source, and remove obsolete Conflict header.
  * Provide own Makefiles in the module tarball for automated building
    within linux-modules-extra-2.6 (closes: #431771)

 -- Frederik Schüler <fs@debian.org>  Thu, 01 Nov 2007 15:13:29 +0100

drbd8 (2:8.0.4-1) unstable; urgency=low

  * New upstream release (Closes: #432104)

 -- Philipp Hug <debian@hug.cx>  Sun, 08 Jul 2007 12:45:33 +0200

drbd8 (2:8.0.3-2) unstable; urgency=low

  * Updated Maintainer in control.modules.in
  * Added documentation about how to install source package

 -- Philipp Hug <debian@hug.cx>  Thu, 21 Jun 2007 18:05:16 +0100

drbd8 (2:8.0.3-1) unstable; urgency=low

  * New upstream release
  * Added watch file

 -- Philipp Hug <debian@hug.cx>  Tue, 22 May 2007 21:59:01 +0200

drbd8 (2:8.0.2-1) unstable; urgency=low

  * New upstream release

 -- Philipp Hug <debian@hug.cx>  Sat, 14 Apr 2007 19:49:41 +0200

drbd8 (2:8.0.1-1) unstable; urgency=low

  * New upstream release

 -- Philipp Hug <debian@hug.cx>  Thu,  8 Mar 2007 11:50:35 +0100

drbd8 (2:8.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: updated Maintainer and Uploaders fields to match
    reality.

 -- Philipp Hug <debian@hug.cx>  Sun, 18 Feb 2007 18:50:04 +0100

drbd8 (2:8.0pre5-1) unstable; urgency=low

  * New upstream release
  * scripts/drbd: patch for LSB compliance, submitted the patch upstream.
  * debian/rules: the documentation/Makefile 'clean' target as been
    renamed to 'doc-clean'

 -- Cyril Bouthors <cyril@bouthors.org>  Mon,  2 Oct 2006 13:48:33 +0300

drbd8 (8.0-pre4-3) unstable; urgency=low

  * debian/rules: applyied patch to fix building for x86_64 on i386 from
    Guido Guenther <agx@sigxcpu.org> and Philipp Hug <hug@abanet.ch>.

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 23 Aug 2006 00:13:22 +0300

drbd8 (8.0-pre4-2) unstable; urgency=low

  * debian/drbd8-module-_KVERS_.postinst.modules.in: take care of chroot
    environments when calling depmod (closes: 381767).

 -- Cyril Bouthors <cyril@bouthors.org>  Sun, 20 Aug 2006 22:13:01 +0300

drbd8 (8.0-pre4-1) unstable; urgency=low

  * New upstream release
  * debian/control: updated standards version from 3.6.2.1 to 3.7.2
  * debian/drbd8-utils.prerm: use invoke-rc.d

 -- Cyril Bouthors <cyril@bouthors.org>  Mon, 31 Jul 2006 18:01:22 +0300

drbd8 (8.0-pre3-1) unstable; urgency=low

  * New upstream release
  * debian/control.modules.in: fixed "Source" field thanks to Guido
    Guenther <agx@sigxcpu.org> (closes #361957).

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 26 Apr 2006 11:04:54 +0200

drbd8 (8.0-pre2-1) unstable; urgency=low

  * New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Thu,  6 Apr 2006 19:08:52 +0200

drbd8 (8.0-pre1-2) unstable; urgency=low

  * Renamed source from drbd to drbd8

 -- Cyril Bouthors <cyril@bouthors.org>  Mon, 27 Mar 2006 00:14:03 +0200

drbd (8.0-pre1-1) unstable; urgency=low

  * New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 22 Mar 2006 12:15:03 +0300

drbd (0.7.17-1) unstable; urgency=low

  * New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Wed,  8 Mar 2006 17:26:36 +0300

drbd (0.7.16-1) unstable; urgency=low

  * New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 14 Feb 2006 15:13:49 +0300

drbd (0.7.15-2) unstable; urgency=low

  * debian/control: removed hard-coded dependency on libc6 thanks to
    Adeodato Simó (closes: #349927).

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 31 Jan 2006 09:13:32 +0300

drbd (0.7.15-1) unstable; urgency=low

  * New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 20 Dec 2005 17:55:40 +0300

drbd (0.7.14-3) unstable; urgency=low

  * debian/control: added explicit dependency on libc6 >= 2.3.5

 -- Cyril Bouthors <cyril@bouthors.org>  Sun, 18 Dec 2005 10:15:14 +0300

drbd (0.7.14-2) unstable; urgency=low

  * debian/control: depends on debconf or debconf-2.0 (closes: #331806).

 -- Cyril Bouthors <cyril@bouthors.org>  Sat, 17 Dec 2005 10:43:22 +0300

drbd (0.7.14-1) unstable; urgency=low

  * New upstream release (closes: #310993, #338994).
  * debian/control: added dependency to dpatch (closes: #338994).

 -- Cyril Bouthors <cyril@bouthors.org>  Fri, 16 Dec 2005 13:10:25 +0300

drbd (0.7.12-1) unstable; urgency=low

  * New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Sat, 27 Aug 2005 18:25:47 +0300

drbd (0.7.11-1) unstable; urgency=low

  * New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Mon, 20 Jun 2005 15:49:40 +0300

drbd (0.7.10-4) unstable; urgency=low

  * debian/control: added missing dependency to dpatch for
    drbd0.7-module-source (closes: #308295).
  * debian/control: updated Maintainer and Uploaders fields to match
    reality.

 -- Cyril Bouthors <cyril@bouthors.org>  Mon, 30 May 2005 11:22:46 +0300

drbd (0.7.10-3) unstable; urgency=low

  * (Cyril Bouthors)
     - scripts/drbd: explicit modprobe and rmmod pathnames
       (initscript_explicit_pathname.patch) (closes: #303060, #302556).

 -- Cyril Bouthors <cyril@bouthors.org>  Sun, 17 Apr 2005 18:08:30 +0300

drbd (0.7.10-2) unstable; urgency=low

  * (Cyril Bouthors)
     - debian/drbd0.7-utils.prerm: silently ignore the initscript return
       code if we remove or deconfigure the package or carefully pay
       attention to it if we upgrade the package. (closes: #295533).
     - debian/control: fixed drbd0.7-module-source description.

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 16 Feb 2005 21:05:51 +0100

drbd (0.7.10-1) unstable; urgency=low

  * (Cyril Bouthors)
     - New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Mon, 31 Jan 2005 17:29:27 +0300

drbd (0.7.9-2) unstable; urgency=low

  * (Cyril Bouthors)
     - Applied patch from Lars Marowsky-Bree <lmb@suse.de> that fixes a
       "severe [...] memory corruption bug [...]".

 -- Cyril Bouthors <cyril@bouthors.org>  Thu, 27 Jan 2005 13:55:00 +0300

drbd (0.7.9-1) unstable; urgency=low

  * (Cyril Bouthors)
     - New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Thu, 27 Jan 2005 11:35:19 +0300

drbd (0.7.8-1) unstable; urgency=low

  * (Cyril Bouthors)
     - New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Mon, 17 Jan 2005 18:50:49 +0400

drbd (0.7.7-1) unstable; urgency=low

  * (Cyril Bouthors)
     - New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 15 Dec 2004 17:15:35 +0300

drbd (0.7.6-2) unstable; urgency=low

  * (Cyril Bouthors)
     - drbd0.7-module-source: Moved debhelper from Recommends to Depends

 -- Cyril Bouthors <cyril@bouthors.org>  Thu,  9 Dec 2004 20:37:41 +0300

drbd (0.7.6-1) unstable; urgency=low

  * (Cyril Bouthors)
     - New upstream release
     - debian/control.modules.in: updated description
     - debian/TODO: removed

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 30 Nov 2004 19:43:27 +0300

drbd (0.7.5-2) unstable; urgency=low

  * (Philipp Hug)
    - debian/control: Added Conflict with drbd-util and drbd-module-source
    - debian/control.in.modules: Fixed description for kernel module
    - debian/control.in.modules: Added Conflict line in kernel module package
    - debian/control.in.modules: Change depends to drbd0.7-util
    - debian/rules: don't use top-level makefile, to prevent re-creation of
      drbd_buildtag.c
    - call depmod in postinst of kernel module
    - debian/rules: remove obsolete upstream ./debian/ files in clean target
    - added module-assistant override file
    - this version is ready for sarge (Closes: #277669)

 -- Philipp Hug <debian@hug.cx>  Tue, 19 Oct 2004 20:50:49 +0200

drbd (0.7.5-1) unstable; urgency=low

  * (Cyril Bouthors)
    - New upstream release (closes: #276640).
    - debian/drbd0.7.dirs: removed usr/bin (closes: #276643).
    - debian/control: changed Section from misc to admin.
    - scripts/drbd: prevent the "stop" target from failing if drbd is not running
    - debian/rules: call upstream Makefile targets instead of doing hardcoded stuff, clean.
    - debian/drbd0.7.docs: added upgrade_0.6.x_to_0.7.0.txt and upgrade_0.7.0_to_0.7.1.txt.
    - The package drbd as been renamed to drbd0.7-utils and drbd-source as
      been renamed to drbd0.7-module-source.  We'll introduce drbd0.6-*
      and drbd*-module soon.
    - Added myself as Uploader.

  * (Philipp Hug)
    - Conflict with drbd and drbd-source
    - Fixed description for kernel modules
    - Added Conflict line in kernel-module package
    - Added bison, flex to Build-Depends
    - Call 'make clean' in drbd directory
    - Upgraded to debian-policy 3.6.1
    - Rewritten debian/rules using module-assistant
    - Change binary package name to drbd0.7
    - Added myself as Uploader

 -- Cyril Bouthors <cyril@bouthors.org>  Sat, 16 Oct 2004 23:43:27 +0200

drbd (0.7.4-1) unstable; urgency=low

  * Fixed a critical bug with Linux-2.4.x and HIGHMEM!
  * Fixed a bug that only showed up with the HIGHMEM problem on
    Linux-2.4.x -> It caused the resync process to starve.
  * The drbd.spec file now creates /dev/drbd in the post-install stage.
  * Fixed support for more than 2TB storage. Now DRBD supports up to
    3.99TB storage. It will also tell you, that it is not supported if
    you try to set up a bigger device.
  * Debian's build rules file now knows about the adjust_drbd_config_h.sh
    file.
  * DRBD_DISABLE_SENDPAGE available in drbd_config.h

 -- Philipp Reisner <phil@linbit.com>  Thu, 9 Sep 2004 19:50:00 +0200

drbd (0.7.3-2) unstable; urgency=low

  * Fixed debian/rules: Include adjust_drbd_config_h.sh in drbd-source

 -- Philipp Hug <debian@hug.cx>  Tue, 31 Aug 2004 15:37:38 +0000

drbd (0.7.3-1) unstable; urgency=low

  * Fixed minor bugs in the handling of the generation counters.
  * prevent possible in-kernel buffer overflow in drbd_proc.c
  * Fixed debian's postinst script to create /dev/drbd? instead of /dev/nb?
  * drbd status:
    be nice to heartbeat, include "OK" in output.
  * added FullSync meta data flag to read/write gc.pl
  * make the RHEL3 happy (page_count no longer in mm.h, but in mm_inline.h)
  * [Patch by Pavel Semerad]. Also use the drbd_devfs_name on Linux-2.4.x
  * fix missing dependencies on drbd_config.h

 -- Philipp Reisner <phil@linbit.com>  Fri, 27 Aug 2004 15:02:00 +0200

drbd (0.7.2-1) unstable; urgency=low

  * Proper handling of backing storage devices that occasionally fail
    READA (=read ahead) requests. (E.g. LVM and MD)
  * DRBD now fails READA requests itself, if a resynchronisation is running
    and it would need to fetch the block from its peer.
  * "drbdadm adjust" had a race, which caused random errors. ( Missing
    waitpid() ). Fixed now.
  * Proper subtract SyncPause times from the syncer performance numbers.
  * Fix to the syncer progress bar in /proc/drbd.
  * Fix to debian build rules.

 -- Philipp Reisner <phil@linbit.com>  Fri, 6 Aug 2004 14:44:31 +0200

drbd (0.7.1-1) unstable; urgency=low

  * Upgrade instructions for 0.6.x -> 0.7.0 and 0.7.0 -> 0.7.1
  * Workaround for XFS' IO requests with page count of zero.
  * Handle the human and the timeout count correctly in the new init script.
  * The implementation of the incon-degr-cmd was missing, added.
  * Fix for integer overflow in /proc/drbd syncer progress display
  * Longer timeouts in drbdadm for drbdsetup commands witch operate on
    meta data.
  * New major number 147 (officially registered at lanana.org).
  * Added a missing w_resume_next_wg() in case we stop syncing because
    of connection loss.
  * Fixed a Linux-2.2-ismus in recieve_data_tail(). Should considerably
    speed up protocols A and B.
  * Some work on vendor kernel compatibility

 -- Philipp Reisner <phil@linbit.com>  Fri, 30 Jul 2004 13:50:33 +0200

drbd (0.7.0-1) unstable; urgency=low

  * s/WriteHint/UnplugRemote/g
  * new module parameter major_nr to allow "arbitrary" major numbers
  * adjusted CTH to cope with that
  * fix copy'n'paste and conversion errors in initial bitmap handshake
  * warning "please upgrade me" if peer speaks (PRO_VERSION+1)
  * drbd_set_in_sync and drbd_set_out_of_sync are now macros
    calling to __*, giving file and line information,
    to be able to easily track causes of "strange state"s there.
  * rs_total is now != 0 only if we actually ARE syncing.
    it is reset
  * when sync is done
  * when connection is lost
  * when storage is lost on either node
    this way we can optimize and call drbd_set_in_sync only if rs_total != 0
    (and it feels somewhat more clean, too)
  * makefile adjusted to recognize svn revision and date tags
  * updates and fixes to the test helpers and bash test cases

 -- Philipp Reisner <phil@linbit.com>  Fri, 16 Jul 2004 10:13:33 +0200

drbd (0.7_pre10-1) unstable; urgency=low

  * A fix to a generic bug in the bitmap code introduced with the -pre9
    release (with the 64 bit work)
  * A fix to a bug in the bitmap code only relevant for 64 bit platforms.
  * Better 2.4.x compatibility and compatibility to 2.4.x vendor kernels.
  * Improvements in the way to deal with incompatible protocol releases.
  * Added the "dialog-refresh" config option.

  changes up to -pre9:
  * Re-enabled zero copy IO for protocols B and C. (Zero copy IO is not
    used with protocol A)
  * Implemented the unpopular user dialog in the boot process.
  * Some fixes for Linux-2.4.x compatibility.
  * drbd.conf man page updated
  * Bugfixes for 64bit architectures
  * Ensured protocol compatibility between hosts of different word sizes
    (Tested with i386 and alpha)
  * Support for meta-data on block devices with hardsect size != 512 Byte
    (e.g. dasd on s390x)
  * New debian subdir

 -- Lars Ellenberg <l.g.e@web.de>  Fri, 09 Jul 2004 20:00:19 +0200

drbd (0.7_pre8-2) unstable; urgency=low

  * fix up the modules source package

 -- Bernd Schubert <bernd-schubert@web.de>  Mon,  05 Jul 2004 00:57:38 -0100

drbd (0.7_pre8-1) unstable; urgency=low

  * initial 0.7 debian package

 -- Bernd Schubert <bernd-schubert@web.de>  Mon,  21 Jun 2004 19:57:38 -0400

drbd (0.6.12-5) unstable; urgency=low

  * Changed default drbd.conf file to set a negative inittimeout value and
    updated the README.Debian file to reflect this change.
    (Closes Bug#221751)

 -- David Krovich <dkrovich@csee.wvu.edu>  Tue, 25 May 2004 12:51:15 -0400

drbd (0.6.12-4) unstable; urgency=low

  * Refactored rules file in an attempt to use binary-arch and binary-indep
    targets more wisely. This is an attempt to fix Bug#244392.
  * Listed /etc/ha.d/resource.d/drbd in debian/conffiles.  (Closes Bug#247606)
  * Moved drbdsetup from /usr/bin/ to /usr/sbin.  I think I introduced this
    when I overhauled the debian directory in the 0.6.12-1 release.
    (Closes Bug#247607)

 -- David Krovich <dkrovich@csee.wvu.edu>  Sun, 16 May 2004 15:20:59 -0400

drbd (0.6.12-3) unstable; urgency=low

  * After discussing with upstream, tweak /etc/init.d/drbd script so the
    stop target works if the module is not loaded.  (Closes: Bug#243417)
  * Put the drbd script in the /etc/ha.d/resource.d directory.  (Closes: Bug#245219)

 -- David Krovich <dkrovich@csee.wvu.edu>  Thu, 22 Apr 2004 18:12:47 -0400

drbd (0.6.12-2) unstable; urgency=low

  * Create /dev/nb[0-7] devices in postinst script.  (Closes: Bug#221545)

 -- David Krovich <dkrovich@csee.wvu.edu>  Sat, 17 Apr 2004 15:18:29 -0400

drbd (0.6.12-1) unstable; urgency=low

  * new upstream release.  (Closes: Bug#239804)
  * Completely overhauled the debian/ directory.
  * Changed sequence number in the runlevel to start at 70 and stop
    at 08.  drbd should start after things like ssh, but before
    heartbeat.

 -- David Krovich <dkrovich@csee.wvu.edu>  Mon, 22 Mar 2004 00:04:35 -0500

drbd (0.6.10-3) unstable; urgency=low
  * Added back the drbd.postinst, drbd.postrm, and drbd.prerm scripts until
    I figure out why they aren't being handled by dh_installinit.
  * As of drbd-0.6.9, The drbd module no longer builds against just the
    kernel-headers package and now needs a full kernel-source tree.

 -- David Krovich <dkrovich@csee.wvu.edu>  Mon, 26 Jan 2004 00:32:49 -0500

drbd (0.6.10-2) unstable; urgency=low

  * noel: fixed lintian warning:
    W: drbd: package-contains-CVS-dir usr/share/doc/drbd/HOWTO/CVS/
    W: drbd: script-in-etc-init.d-not-registered-via-update-rc.d /etc/init.d/drbd

  * Lintian/Linda fixes.

  * Tweaked the drbd-0.6.10.orig.tar.gz to not have a debian/ directory in it.
  * Stopped tweaking the copyright notice on drbd_fs.c and drbd_receiver.c.
    I'm not sure how that got there in the first place.
  * Removed mystery report_to_html.pl.debdiff file.
  * Put the datadisk in the correct location.  (Closes: Bug#221544)

  * Removed drbd.postinst, drbd.postrm, and drbd.prerm as they are
    being generated by dh_installinit during the build process and do not
    need to part of the source package.
  * removed dependancy on automake and autoconf
  * Changed control.modules to require debhelper >= 4.
  * Stop settting $KSRC in the rules file.

  * Removed conffiles, files, kernel-patch-wup.substvars as they are
    unneccessary.
  * Tightened the build dependancy on debhelper. >=4
  * Updated Debian packages up to newest upstream version. (Closes: Bug#197906)
  * Updated Package descriptions.  (Closes: Bug#209462)
  * Verified support for devfs.  (Closes: Bug#203552)
  * I'd like to become a Debian Developer and take over maintenance for
    this package.  I'm working with Debian Devolpers on making this happen.

 -- David Krovich <dkrovich@csee.wvu.edu>  Tue, 20 Jan 2004 01:36:58 -0500

drbd (0.6.10-1) unstable; urgency=low

  * With 0.6.9 there was a bug introduced which prevented the sending
    of ACK packets during resync. Fixed.
  * A fix to drbdsetup's wait_connect command.
  * Replaced all invocations of the sleep_on() family functions with the
    invocations of the wait_event() macros. This removes lost wakup events
    and race conditions.
  * New implementation of drbd_wait_ee(). This makes the
    "(BUG?) Moving bh=%p to done_ee" go away.
  * Handle the case if vmalloc() of the bitmap fails.

 -- Philipp Reisner <phil@linbit.com>  Thu, 12 Dec 2003 15:10:44 +0200

drbd (0.6.9-1) unstable; urgency=low

  * New module build system (using kernel source tree build system)
  * New net section option 'ko-count'. It allows you to kick out a
    secondary node which does no longer process data in acceptable time.
    Its default value is 0 which disables this feature.
  * Changing syncgroups while resync runs has shows now the correct behaviour.
  * In case thread creations fails DRBD would deadlock on its own
    semaphore. Fixed now.
  * BKL is no longer used on Linux-2.4.x.
  * Now you can stack mapping block devices like LVM2 (and maybe md) on
    top of drbd (a one character fix).
  * drbdsetup wait_connect on a StandAlone node looked like a timeout and
    forced primary. fixed.
  * if drbdsetup wait_* in fact did timeout this looked like a failed ioctl.
    this bug was newly introduced in 0.6.8. fixed.
  * A fix to a race in _drbd_alloc_ee(). You could trigger this race if
    your filesystem uses a blocksize < 4K and your machine has multiple CPUs.
    By Eric W. Biederman.
  * A maybe bugfix regarding calls to free_page() by Eric W. Biederman.
  * A cleanup patch to drbd_process_done_ee() by Eric W. Biederman.

 -- Philipp Reisner <phil@linbit.com>  Thu, 27 Nov 2003 08:21:34 +0200

drbd (0.6.8-1) unstable; urgency=low

  * Two fixes to the sync-group functionality.

 -- Philipp Reisner <phil@linbit.com>  Mon, 20 Oct 2003 11:45:33 +0200

drbd (0.6.7-1) unstable; urgency=low

  * A fix to a bug that could cause data corruption if you use a
    other blocksize than 4k to access the DRBD device.
  * A fix to a SMP race in the syncer code. The problem was tirggered
    when using DRBD on QLogic fiber channel adapters.
  * Replaced various calls to sleep_on() variants with the wait_event()
    macros. -- This removes potential (, non-critical) SMP races.
  * This release includes the sync-group option.

 -- Philipp Reisner <phil@linbit.com>  Thu, 13 Oct 2003 11:17:27 +0200

drbd (0.6.6-1) unstable; urgency=low

  * In the 0.6.5 release the secondary_remote command was badly broken,
    it succeeded when it should fail silently. This is fixed now.
  * Probabely in all previous releases, the resyncer thread did not
    exit properly if the secondary node goes away during resync.
    This was not fatal sind the resyncher thread did exit at soon
    as it gets a network error. This is fixed now.
  * Some new switches to the drbd script.

 -- Philipp Reisner <phil@linbit.com>  Mon, 28 Jul 2003 14:40:43 +0200

drbd (0.6.5-1) unstable; urgency=low

  * Improvements to the build system
  * Now it is possible to tune the socket send buffer size via drbdsetup/
    drbd.conf. This is especially usefull for WAN mirroring / using
    protocol A.
  * Compatibility code to compile DRBD under RedHat 9.0 (RH's version of
    Linux-2.4.20)
  * Improved sample drbd.conf file

 -- Philipp Reisner <phil@linbit.com>  Sun, 06 Jul 2003 13:35:00 +0100

drbd (0.6.4-1) unstable; urgency=low

  * Reworked build system (i.e. better Makefiles)
  * SyncAll works forward instead of backwards. Improves performance on
    some storage controlers.
  * Reworked /etc/init.d/drbd script (i.e. better support of
    different bash releases)

 -- Philipp Reisner <phil@linbit.com>  Thu, 01 May 2003 21:00:00 +0100

drbd (0.6.3-1) unstable; urgency=low

  * Lockup of primary if secondary fails during resync. Fixed. (Stupid!)
  * Probabely SMP only deadlock in the drop-conection code path.
  * Improved connect code. (The old code could trap into a distributed
    deadlock, resulting in an endless connect/disconnect loop.)
  * The 'BitMap too small bug' was actually caused by a patch in
    SuSE's distribution kernel. This patch makes DRBD 'more' compatible
    with SuSE's kernel.
  * Improved code to allocate buffers for the rsynchronisation process.
    The old code allocated physical adjacent pages although the syncer
    does not need them! The old code could fail under high memory pressure.

 -- Philipp Reisner <phil@linbit.com>  Thu, 20 Mar 2003 20:23:40 +0100

drbd (0.6.2-1) unstable; urgency=low

  * SMP fix in drbd_dio_end_sec()
  * /etc/init.d/drbd knows about returncodes of fsck
  * SUSE style rcdrbd
  * Fixes for uninstall Target of the Makefiles.

 -- Philipp Reisner <phil@linbit.com>  Tue, 11 Feb 2003 15:58:49 +0100

drbd (0.6.1-1) unstable; urgency=low

  * Stable release

 -- Philipp Reisner <phil@linbit.com>  Mon, 25 Nov 2002 14:51:39 +0100

drbd (0.6-1.pre16-0cvs20020909.1) unstable; urgency=low

  * changed the maintainer to jan@debian.org in agreement with
    Ard who currently doesn't work on drbd.
  * changed name of generated drbd-module-... package to include
    the full version number of the kernel package
  * place generated drbd-module-... package in $(KSRC)/..

 -- Jan Niehusmann <jan@debian.org>  Fri, 13 Sep 2002 15:57:01 +0200

drbd (0.6-1.pre16-0cvs20020909) unstable; urgency=low

  * updated version
  * strange version number because debian versioning doesn't handle
    -pre versions sanely
  * uploading to unstable. (Closes: Bug#130031)

 -- Jan Niehusmann <jan@debian.org>  Wed, 11 Sep 2002 13:10:03 +0200

drbd (cvs20010511-1) unstable; urgency=low

  * First deb-anized version

 -- Ard van Breemen <ard@telegraafnet.nl>  Fri, 11 May 2001 11:59:53 +0200
